Bug 843566 - Content Search - Repos: Remove superfluous search filter for Packages/Errata dropdown
Content Search - Repos: Remove superfluous search filter for Packages/Errata ...
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.1
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Eric Helms
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 12:05 EDT by Corey Welton
Modified: 2014-09-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 14:10:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (24.90 KB, image/png)
2012-07-26 12:14 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2012-07-26 12:05:26 EDT
Description of problem:
In the Packages/Errata view, there is an associated picker which, when clicked, exposes a filter bar. However, this filter bar is not for the content within the view, it is for the contents within the picker itself.

When the picker only had two options, this is unnecessary, and in fact confusing in the UI.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  sync a rhel repo
2.  Content Search, in the left pane, choose a content type of "repos"
3.  In the first repos field, search for Red*
4. In the search results, hover over one of the content markers and choose either "Packages" or "Errata"
5. On the ensuing results view, atop the results, there is a "Show ________v" dropdown. Click it.
6. In the resulting search box, enter text, thinking this is a search filter for the results below.
  
Actual results:
No matches because this _isn't_ a filter for the results below. It is a filter for the contents of the dropdown box itself (i.e., try typing 'Erra' in this box)

Expected results:
We don't need this search box when there are only two options in this dropdown. It also is misleading, as users might think they're filtering on the search results, and this isn't the case.


Additional info:

[11:28] <cswiii> that seems like a bit of overkill
[11:28] <cswiii> when there are two dropdown options
[11:31] <ehelms> I would agree, built-in to the plugin, which we can fork and update
Comment 1 Corey Welton 2012-07-26 12:14:16 EDT
Created attachment 600550 [details]
screenshot
Comment 2 Mike McCune 2012-08-07 11:53:16 EDT
possibly disable the filter since it is such a short list
Comment 3 Eric Helms 2012-12-18 14:42:55 EST
https://github.com/Katello/katello/pull/1303
Comment 4 Eric Helms 2012-12-20 13:53:31 EST
Fixed as of 7535868e43d7375bb20c69214485fa6d5835eca7
Comment 5 Mike McCune 2013-08-16 14:18:03 EDT
getting rid of 6.0.0 version since that doesn't exist
Comment 6 Mike McCune 2013-09-19 14:10:46 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.